# Change the Status of Risk Control
source: https://developer.mastercard.com/mastercard-processing-fraud/documentation/sandbox-testing/change-status-risk-control/index.md

## Test case -- Success -- Activate a Risk Control {#test-case--success--activate-a-risk-control}

This test case describes activating a specified risk control stored in the CMS.

For this test case, use the following information in the request:

|   Path parameter    |     Available value      |
|---------------------|--------------------------|
| `risk_control_code` | COUNTRY_VELOCITY_CONTROL |
|                     | ATM_FRENCH_USERS_RULE    |

|       Field       | Available value |
|-------------------|-----------------|
| `riskControlType` | Balance         |
|                   | Credit          |
|                   | Risk Rule       |
| `operation`       | ACTIVE          |

**Sample request**

`PUT /contracts/70001/risk-controls/COUNTRY_VELOCITY_CONTROL/status`

```JSON
{
  "activationDate": "2025-10-28T12:30:21Z",
  "deactivationDate": "2025-10-28T12:30:21Z",
  "operation": "ACTIVE",
  "riskControlType": "Balance"
}
```

**Sample response**

`204`

## Test case -- Success -- Suspend a Risk Control {#test-case--success--suspend-a-risk-control}

This test case describes activating a specified risk control stored in the CMS.

For this test case, use the following information in the request:

|   Path parameter    |     Available value      |
|---------------------|--------------------------|
| `risk_control_code` | COUNTRY_VELOCITY_CONTROL |
|                     | ATM_FRENCH_USERS_RULE    |

|       Field       | Available value |
|-------------------|-----------------|
| `riskControlType` | Balance         |
|                   | Credit          |
|                   | Risk Rule       |
| `operation`       | SUSPEND         |

**Sample request**

`PUT /contracts/70001/risk-controls/COUNTRY_VELOCITY_CONTROL/status`

```JSON
{
  "activationDate": "2025-10-28T12:30:21Z",
  "deactivationDate": "2025-10-28T12:30:21Z",
  "operation": "SUSPEND",
  "riskControlType": "Balance"
}
```

**Sample response**

`204`

## Test case -- Fail -- Invalid Risk Control Code {#test-case--fail--invalid-risk-control-code}

This test case describes an attempt to change the status of a specified risk control that does not exist in the CMS.

For this test case, use the following information in the request:

|   Path parameter    | Available value |
|---------------------|-----------------|
| `risk_control_code` | INVALID         |

|       Field       | Available value |
|-------------------|-----------------|
| `riskControlType` | Balance         |
|                   | Credit          |
|                   | Risk Rule       |
| `operation`       | ACTIVE          |
|                   | SUSPEND         |

**Sample request**

`PUT /contracts/70001/risk-controls/COUNTRY_VELOCITY_CONTROL/status`

```JSON
{
  "activationDate": "2025-10-28T12:30:21Z",
  "deactivationDate": "2025-10-28T12:30:21Z",
  "operation": "SUSPEND",
  "riskControlType": "INVALID"
}
```

**Sample response**

`404`

```JSON
{
  "Errors": {
    "Error": [
      {
        "Source": "MASTERCARD PROCESSING",
        "ReasonCode": "RISK_CONTROL_CODE_DOES_NOT_EXIST",
        "Description": "Risk control code INVALID does not exist for contract with id 70001.",
        "Recoverable": false
      }
    ]
  }
}
```

